AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

Export Cloud Logic APIs

### Hierarchy

- APIClass

## Index

### Constructors

- constructor

### Methods

- _ensureCredentials
- configure
- createInstance
- del
- endpoint
- get
- getGraphqlOperationType
- getModuleName
- graphql
- head
- patch
- post
- put

## Constructors

### constructor

- new APIClass(options: any): APIClass

- - Defined in api/src/API.ts:36

  Initialize Storage with AWS configuration

  #### Parameters

  - ##### options: any

    Configuration object for storage

  #### Returns APIClass

## Methods

### Private _ensureCredentials

- _ensureCredentials(): any

- - Defined in api/src/API.ts:481

  #### Returns any

### configure

- configure(options: any): any

- - Defined in api/src/API.ts:56

  Configure API part with aws configurations

  #### Parameters

  - ##### options: any

  #### Returns any

  - The current configuration

### createInstance

- createInstance(): any

- - Defined in api/src/API.ts:102

  Create an instance of API for the library

  #### Returns any

  - A promise of true if Success

### del

- del(apiName: any, path: any, init: any): Promise<any>

- - Defined in api/src/API.ts:211

  Make a DEL request

  #### Parameters

  - ##### apiName: any

    The api name of the request

  - ##### path: any

    The path of the request

  - ##### init: any

  #### Returns Promise<any>

  - A promise that resolves to an object with response status and JSON data, if successful.

### endpoint

- endpoint(apiName: any): Promise<any>

- - Defined in api/src/API.ts:255

  Getting endpoint for API

  #### Parameters

  - ##### apiName: any

    The name of the api

  #### Returns Promise<any>

  - The endpoint of the api

### get

- get(apiName: any, path: any, init: any): Promise<any>

- - Defined in api/src/API.ts:119

  Make a GET request

  #### Parameters

  - ##### apiName: any

    The api name of the request

  - ##### path: any

    The path of the request

  - ##### init: any

  #### Returns Promise<any>

  - A promise that resolves to an object with response status and JSON data, if successful.

### getGraphqlOperationType

- getGraphqlOperationType(operation: any): any

- - Defined in api/src/API.ts:316

  to get the operation type

  #### Parameters

  - ##### operation: any

  #### Returns any

### getModuleName

- getModuleName(): string

- - Defined in api/src/API.ts:47

  #### Returns string

### graphql

- graphql(__namedParameters: object): Promise<any> | Observable<object>

- - Defined in api/src/API.ts:329

  Executes a GraphQL operation

  #### Parameters

  - ##### __namedParameters: object

    - ##### paramQuery: any

    - ##### variables: any

  #### Returns Promise<any> | Observable<object>

### head

- head(apiName: any, path: any, init: any): Promise<any>

- - Defined in api/src/API.ts:234

  Make a HEAD request

  #### Parameters

  - ##### apiName: any

    The api name of the request

  - ##### path: any

    The path of the request

  - ##### init: any

  #### Returns Promise<any>

  - A promise that resolves to an object with response status and JSON data, if successful.

### patch

- patch(apiName: any, path: any, init: any): Promise<any>

- - Defined in api/src/API.ts:188

  Make a PATCH request

  #### Parameters

  - ##### apiName: any

    The api name of the request

  - ##### path: any

    The path of the request

  - ##### init: any

  #### Returns Promise<any>

  - A promise that resolves to an object with response status and JSON data, if successful.

### post

- post(apiName: any, path: any, init: any): Promise<any>

- - Defined in api/src/API.ts:142

  Make a POST request

  #### Parameters

  - ##### apiName: any

    The api name of the request

  - ##### path: any

    The path of the request

  - ##### init: any

  #### Returns Promise<any>

  - A promise that resolves to an object with response status and JSON data, if successful.

### put

- put(apiName: any, path: any, init: any): Promise<any>

- - Defined in api/src/API.ts:165

  Make a PUT request

  #### Parameters

  - ##### apiName: any

    The api name of the request

  - ##### path: any

    The path of the request

  - ##### init: any

  #### Returns Promise<any>

  - A promise that resolves to an object with response status and JSON data, if successful.